jQuery(document).ready(function($) {
		
	// Click to Add New Section //
	jQuery('#addnewsection').live('click', function() {
		var divwrap = jQuery(this).parent().prev();
		var fieldset = divwrap.find('.original').clone();

		// Handling for Calendar //
		if (fieldset.find('input').hasClass('calendar')) {
			var randomNum = new Date().getTime();
			fieldset.find('input').attr('value', null).removeClass('hasDatepicker').attr('id', randomNum);
			fieldset.find('img.ui-datepicker-trigger').remove();
		}
		
		divwrap.append("<fieldset class=" + fieldset.removeClass('original').attr('class') + ">" + fieldset.html() + "<input type='image' src='"+templateDir+"/framework/images/close_icon.png' class='removesection' style='vertical-align: bottom' /></fieldset>").find('input .calendar');
		jQuery(".calendar").datepicker({
			showOn: "button",
			buttonImage: templateDir + "/framework/images/small-calendar.gif",
			buttonImageOnly: true,
			dateFormat: 'MM d, yy'
		});
	});
	
	// Click to Remove Section //
	jQuery('.removesection').live('click', function() {
		jQuery(this).parent('fieldset').remove();
	});
	
});