<?php include_once($_SERVER['DOCUMENT_ROOT'].'/wp-load.php' );
global $wpdb, $timezone_diff;

$keyword = (isset($_REQUEST['keyword'])) ? $_REQUEST['keyword'] : null;
$order = (isset($_REQUEST['order'])) ? $_REQUEST['order'] : 'ASC';
$cat = (isset($_REQUEST['cat'])) ? $_REQUEST['cat'] : null;
$startdate = (isset($_REQUEST['startdate']) && $_REQUEST['startdate'] != null) ? $_REQUEST['startdate'] : date('F j, Y');
$enddate = (isset($_REQUEST['enddate']) && $_REQUEST['enddate'] != null) ? $_REQUEST['enddate'] : date('F j, Y', strtotime('+1 year'));
$search = null;

national_blog_id();

if ($keyword != null)
	$search = "AND ($wpdb->posts.post_title LIKE '%".$keyword."%' OR $wpdb->posts.post_content LIKE '%".$keyword."%')";

//$compare = "AND $wpdb->postmeta.meta_value >= '".(strtotime($startdate)-$timezone_diff)."' AND $wpdb->postmeta.meta_value <= '".(strtotime($enddate) + $timezone_diff)."'";
$compare = "AND $wpdb->postmeta.meta_value >= '".strtotime($startdate)."'";

$querystr = "SELECT $wpdb->posts.*, $wpdb->postmeta.*
		    FROM $wpdb->posts, $wpdb->postmeta
		    WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id 
		    AND $wpdb->postmeta.meta_key LIKE '_event_date_date%' 	    
		    AND $wpdb->posts.post_status = 'publish' 
		    $compare
		    $search
		    GROUP BY $wpdb->postmeta.post_id    
			ORDER BY $wpdb->postmeta.meta_value ASC";
$pageposts = $wpdb->get_results($querystr, OBJECT);

global $post;
 
if ($pageposts):
	$results = 0;
 	foreach ($pageposts as $post):
 		setup_postdata($post);
		$dates = EventHelper::get_event_date_meta($post->ID); 

		$categories = get_the_terms($post->ID, '_events_category');	
		if ($cat == null) {
			$match = true;
		} else {
			$match = false;
			if (!empty($categories)) {
				foreach ($categories as $c) {
					if ($cat == $c->term_id)
						$match = true;
					$category[] = $c;
				} 
			}
		}
		
		$parseurl = parse_url(get_bloginfo('url'));
		$site = explode('.', $parseurl['host']);
		switch ($site[0]) {
			case 'atlantique': 
				$region = 'atlantic'; 
				break;
			case 'cb': 
				$region = 'bc'; 
				break;
			/*case 'voiesversprosperite':
				$region = 'pancanada';
				break;*/
			case 'p2pcanada':
				$region = 'english';
				break;
			case 'voiesversprosperite':
				$region = 'french';
				break;
			default: 
				$region = $site[0];
		}

		if (get_locale() == 'fr_FR') {
			        $region = 'french';
		} 

		if ($region != 'p2pcanada') {
			$regions = get_the_terms($post->ID, '_regional');	
			if ($region != null && !empty($regions)) {
				$regionmatch = false;
				foreach ($regions as $r) {
					if ($region == $r->slug) {
						$regionmatch = true;
					}
				}
			} else {
				$regionmatch = true;
			}
		} else {
			$regionmatch = true;
		}

		if ($match == true && $regionmatch == true) : 
			$results++; 
		?>
			
		<article id="post-<?php echo $post->ID; ?>">
			<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>			
			<time><?php EventHelper::date_display($dates); ?></time>
			<div>
				<?php if (($location = get_post_meta($post->ID, '_event_location', true)) != null) : ?>
					<strong><?php echo $location; ?></strong><br/>
				<?php endif; ?>
				<?php if (($street = get_post_meta($post->ID, '_event_street_address', true)) != null) : ?>
					<a href="http://maps.google.com/?q=<?php echo $street; ?>" target="_blank"><img src="/wp-content/plugins/oak-events/images/pin.png" class="googlepin" /></a>
					<?php echo $street; ?><br/>
					<a href="http://maps.google.com/?q=<?php echo $street; ?>" target="_blank"><?php _e('See Map', 'p2p'); ?></a>				
				<?php endif; ?>
			</div>
			<div class="right">
				<a href="/ical/<?php echo $post->post_name; ?>"><img src="/wp-content/plugins/oak-events/images/ical.png" class="ical" /> <?php _e('iCal / Google Calendar (.ics)', 'p2p'); ?></a>
				<?php if (($eventbrite = get_custom_field('_event_eventbrite')) != null) : ?>
				<p>
					<a href="<?php echo $eventbrite; ?>" class="right button" target="_blank"><?php _e('Register', 'p2p'); ?></a>
				</p>
				<?php endif; ?>
			</div>

			<section>
				<?php if (($price = get_post_meta($post->ID, '_event_price', true)) != null || ($website = get_post_meta($post->ID, '_event_website')) != null) : ?>
				<div>
					<?php if (($price = get_post_meta($post->ID, '_event_price', true)) != null) : ?>
						<strong><?php _e('Price', 'p2p'); ?></strong>: <?php echo $price; ?><br/>
					<?php endif; 
					if (($website = get_post_meta($post->ID, '_event_website', true)) != null) : ?>
						<strong><?php _e('Website', 'p2p'); ?></strong>: <a href="<?php echo $website; ?>"><?php echo $website; ?></a>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			<p><?php EventHelper::display_excerpt('fullevent'); ?></p>
			</section>

		</article>	

		<hr/>

		<?php 
		endif; 
	endforeach;
endif;
if ($results == 0) :
	if ($keyword != null) {
		if ($startdate == $enddate) 
			echo "<p>".__('No events found', 'p2p')." ".__('for', 'p2p')." <strong><i>".$keyword."</i></strong><br/> ".__('on', 'p2p')." <strong><i>".date('F j, Y', strtotime($startdate))."</i></strong>";
		else 
			echo "<p>".__('No events found', 'p2p')." ".__('for', 'p2p')." <strong><i>".$keyword."</i></strong><br/> ".__('between', 'p2p')." <strong><i>".date('F j, Y', strtotime($startdate))."</i></strong> ".__('and', 'p2p')." <strong><i>".date('F j, Y', strtotime($enddate))."</i></strong>";
	} else {
		if ($startdate == $enddate) 
			echo "<p>".__('No events found', 'p2p')." ".__('on', 'p2p')." <strong><i>".date('F j, Y', strtotime($startdate))."</i></strong>";
		else 
			echo "<p>".__('No events found', 'p2p')." ".__('between', 'p2p')." <strong><i>".date('F j, Y', strtotime($startdate))."</i></strong> ".__('and', 'p2p')." <strong><i>".date('F j, Y', strtotime($enddate))."</i></strong>";
	}
endif; ?>