<article class="eventdetail" id="post-<?php the_ID(); ?>">
		
	<header>
		<h1>
			<a href="<?php the_permalink(); ?>">
				<?php the_title(); ?>
			</a>
		</h1>
	</header>
	
	<?php EventHelper::the_article_image('large'); ?>
	
	<section>
		<div class="infobox">
			<?php 
			national_blog_events();
			$dates = EventHelper::get_event_date_meta($post->ID);
			EventHelper::date_display($dates); ?>
			
			<?php if (($location = get_custom_field('_event_location')) != null) : ?>
				<div class="smallspacer"></div>
				<strong><?php echo $location; ?></strong><br/>
			<?php endif; 
			if (($street = get_custom_field('_event_street_address')) != null) : ?>
				<a href="http://maps.google.com/?q=<?php echo $street; ?>" target="_blank"><img src="/wp-content/plugins/oak-events/images/pin.png" class="googlepin" /></a>
				<?php echo $street; ?><br/>
				<a href="http://maps.google.com/?q=<?php echo $street; ?>" target="_blank"><?php _e('See Map', 'p2p'); ?></a>				
			<div class="smallspacer"></div>
			<?php endif; ?>
			
			<?php if (($price = get_custom_field('_event_price')) != null) : ?>
			<strong><?php _e('Price', 'p2p'); ?></strong>: <?php echo $price; ?><br/>
			<?php endif; 
			if (($website = get_custom_field('_event_website')) != null) : ?>
			<strong><?php _e('Website', 'p2p'); ?></strong>: <a class="wrap" href="<?php echo $website; ?>"><?php echo $website; ?></a><br/>
			<?php endif; ?>

			<div class="smallspacer"></div>
			
			<a href="/ical/<?php echo $post->post_name; ?>"><img src="/wp-content/plugins/oak-events/images/ical.png" class="ical" /> <?php _e('iCal / Google Calendar (.ics)', 'p2p'); ?></a>

			<a href="<?php echo get_custom_field('_event_eventbrite'); ?>" class="button right"><?php _e('Register', 'p2p'); ?></a>
		</div>
			
		<?php the_content(); ?>
	</section>
				
	<div class="meta">
		<div class="facebook">
			<?php echo do_shortcode('[fb_count]'); ?>
		</div>
		<span class='st_sharethis_hcount' st_title='<?php the_title(); ?>' st_url='<?php the_permalink(); ?>' displayText='share'></span>	
		<?php if ( comments_open() ) : ?>
		<p><?php _e('Comments', 'p2p'); ?></p><span class="bubble"><?php comments_number('0', '1', '%'); ?></span>
		<?php endif; ?>
	</div>
		
	<div class="category">
		<?php echo get_the_term_list($post->ID, '_events_category', 'Filed in: ', ', ', ''); ?>
	</div>
	
	<?php if (($hashtag = get_custom_field('_twitter_feed')) != null) : 
	$twitter = EventHelper::get_tweet($hashtag); 
	if ($twitter != false) : ?>
	<img src="/wp-content/plugins/oak-events/images/twitterbird.png" class="twitterbird" />
	<div id="twitter">
		<img src="<?php echo $twitter['image']; ?>" />
		<div>
			<strong><?php echo $twitter['author']; ?></strong><br/>
			<?php echo $twitter['tweet']; ?><br/>
			<span><?php echo date('d M', $twitter['date']); ?></span>
		</div>
	</div>
	<?php endif;
	endif; ?>
	
</article>		
