<?php 
national_blog_events();
query_posts(array('post_type' => '_events',
						'name' => $event_slug));
if (have_posts()) : 
	while (have_posts()) : the_post(); 
		$location = get_custom_field('_event_location');
		$name = addslashes(strip_tags($post->post_title));
		$description = addslashes(trim(strip_tags($post->post_content), "\t\n\r\0\x0B&nbsp;"));
		
		$dates = EventHelper::get_event_date_meta($post->ID);
		if (count($dates) == 2 && $dates[0]['end'] == null && $dates[1]['start'] == null) {
			$start = date("Y-m-d", $dates[0]['date'])." ".date("H:i", strtotime($dates[0]['start']));
			$end = date("Y-m-d", $dates[1]['date'])." ".date("H:i", strtotime($dates[1]['end']));
			$events = "BEGIN:VEVENT\nDTSTART:".date("Ymd\THis\Z", strtotime($start." -0500"))."\nDTEND:".date("Ymd\THis\Z",strtotime($end." -0500"))."\nLOCATION:".$location."\nTRANSP:OPAQUE\nSEQUENCE:0\nUID:".$post->post_name."\nDTSTAMP:".date("Ymd\THis\Z")."\nSUMMARY:".$name."\nDESCRIPTION:".$description."\nPRIORITY:1\nCLASS:PUBLIC\nBEGIN:VALARM\nTRIGGER:-PT10080M\nACTION:DISPLAY\nDESCRIPTION:Reminder\nEND:VALARM\nEND:VEVENT\n";
		} else if (count($dates) == 1) {
			$start = date("Y-m-d", $dates[0]['date'])." ".date("H:i", strtotime($dates[0]['start']));
			$end = date("Y-m-d", $dates[0]['date'])." ".date("H:i", strtotime($dates[0]['end']));
			$events = "BEGIN:VEVENT\nDTSTART:".date("Ymd\THis\Z", strtotime($start." -0500"))."\nDTEND:".date("Ymd\THis\Z",strtotime($end." -0500"))."\nLOCATION:".$location."\nTRANSP:OPAQUE\nSEQUENCE:0\nUID:".$post->post_name."\nDTSTAMP:".date("Ymd\THis\Z")."\nSUMMARY:".$name."\nDESCRIPTION:".$description."\nPRIORITY:1\nCLASS:PUBLIC\nBEGIN:VALARM\nTRIGGER:-PT10080M\nACTION:DISPLAY\nDESCRIPTION:Reminder\nEND:VALARM\nEND:VEVENT\n";
			
		} else if (count($dates) != 0) {
			$i = 0; $events = null;
			foreach ($dates as $date) {
				$start = date("Y-m-d", $date['date'])." ".date("H:i", strtotime($date['start']));
				$end = date("Y-m-d", $date['date'])." ".date("H:i", strtotime($date['end']));
				$events .= "BEGIN:VEVENT\nDTSTART:".date("Ymd\THis\Z", strtotime($start." -0500"))."\nDTEND:".date("Ymd\THis\Z",strtotime($end." -0500"))."\nLOCATION:".$location."\nTRANSP:OPAQUE\nSEQUENCE:0\nUID:".$post->post_name.$i++."\nDTSTAMP:".date("Ymd\THis\Z")."\nSUMMARY:".$name."\nDESCRIPTION:".$description."\nPRIORITY:1\nCLASS:PUBLIC\nEND:VEVENT\n";
			}	
		} 
		$event = new ICS($name, $events);
		$event->show();
	endwhile; 
endif; 

class ICS {

    var $data;
    var $name;
    
    function ICS($name, $events) {
        $this->name = $name;        
        $this->data = "BEGIN:VCALENDAR\nVERSION:2.0\nMETHOD:PUBLISH\n".$events."END:VCALENDAR\n";
    }
    function save() {
        file_put_contents($this->name.".ics",$this->data);
    }
    function show() {
        header("Content-type:text/calendar");
        header('Content-Disposition: attachment; filename="'.$this->name.'.ics"');
        Header('Content-Length: '.strlen($this->data));
        Header('Connection: close');
        echo $this->data;
    }
}
?>
